Loading...
Searching...
No Matches
catch_event.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | ftxui

## Functions

Component | CatchEvent (Component child, std::function< bool(Event event)> on_event)
| Return a component, using |on_event| to catch events. This function must returns true when the event has been handled, false otherwise.
ComponentDecorator | CatchEvent (std::function< bool(Event)> on_event)
| Decorate a component, using |on_event| to catch events. This function must returns true when the event has been handled, false otherwise.